Package org.eclipse.birt.report.engine.extension

# Interface IExecutorContext

All Superinterfaces:
  `org.eclipse.birt.report.engine.api.script.IReportContext`

public interface IExecutorContext extends org.eclipse.birt.report.engine.api.script.IReportContext

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext

`PAGE_VAR_PAGE_LABEL`

## Method Summary

Modifier and Type
Method
Description
`IReportItemExecutor`
`createExecutor(IReportItemExecutor parent, Object handle)`
create IReportItemExecutor of handle, the extendedItem is child.
`IBaseResultSet`
`executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query)`
execute query
`IBaseResultSet`
`executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query, Object handle)`
execute query
`org.eclipse.birt.data.engine.api.IDataQueryDefinition[]`
`getQueries(Object handle)`
get the queries of the handle
`IReportContent`
`getReportContent()`
return IReportContent.

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext

`cancel, cancel, deleteGlobalVariable, deletePersistentGlobalVariable, evaluate, evaluate, evaluate, getAppContext, getApplicationClassLoader, getDesignHandle, getGlobalVariable, getHttpServletRequest, getLocale, getMessage, getMessage, getMessage, getMessage, getOutputFormat, getPageVariable, getParameterDisplayText, getParameterValue, getPersistentGlobalVariable, getRenderOption, getReportRunnable, getResource, getResourceRenderURL, getTaskType, getTimeZone, isReportDocumentFinished, setGlobalVariable, setPageVariable, setParameterDisplayText, setParameterValue, setPersistentGlobalVariable`

## Method Details

### createExecutor

IReportItemExecutor createExecutor(IReportItemExecutor parent, Object handle)
create IReportItemExecutor of handle, the extendedItem is child.

### getReportContent

IReportContent getReportContent()
return IReportContent. User can use it to create content for extendedItem.

### executeQuery

IBaseResultSet executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query)
execute query

### executeQuery

IBaseResultSet executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query, Object handle)
execute query

### getQueries

org.eclipse.birt.data.engine.api.IDataQueryDefinition[] getQueries(Object handle)
get the queries of the handle

Parameters:
  `handle` -
Returns:
  queries